/**
 * File: tournament-graph-kings.h
 * ------------------------------
 * Exports the one function used to identify all of the kings in
 * a tournament graph.
 */

#include "graphtypes.h"

/**
 * Function: crownTournamentKings
 * ------------------------------
 * Identifies all of the nodes in the graph that are at most two
 * degrees away from every other node in the graph.
 *
 * @param SimpleGraph& graph a refernce to a graph that's understood to be
 *        a tournament graph.
 * @return Set<Node *> a set of all of the tournament kings of the provided
 *         tournament graph.
 */

Set<Node *> crownTournamentKings(SimpleGraph& graph);

